Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58441 - [mupdf-gl] provides in PKGBUILD should feature pkgver

Attached to Project: Community Packages
Opened by Daniel Nienhaus (nienhs) - Thursday, 03 May 2018, 15:43 GMT
Last edited by Christian Hesse (eworm) - Monday, 07 May 2018, 21:55 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Christian Hesse (eworm)
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
* llpp from AUR requires mupdf>=1.7 (https://aur.archlinux.org/packages/llpp/)
* mupdf-gl provides mupdf, but not versioned, so llpp is not satisfied with mupdf-gl being installed.
* changing provides to (mupdf=$pkgver) should fix this

Thank you!

This task depends upon

Closed by  Christian Hesse (eworm)
Monday, 07 May 2018, 21:55 GMT
Reason for closing:  Implemented
Additional comments about closing:  mupdf 1.13.0-1
Comment by Doug Newgard (Scimmia) - Thursday, 03 May 2018, 16:00 GMT
Or the AUR package should get rid of the useless version in the dep.
Comment by Daniel Nienhaus (nienhs) - Thursday, 03 May 2018, 16:32 GMT
Or that. I can't really judge what makes more sense. But feel free to close this if you think that is the right approach and I'll take it to the AUR maintainer.
Cheers!
Comment by Eli Schwartz (eschwartz) - Thursday, 03 May 2018, 20:05 GMT
How strange, my llpp package which I really should upload to community as promised, does not rely on /usr/bin/mupdf at all. Since naturally, /usr/bin/llpp is its own binary.

It does link to libmupdf.a, but that's a different story. The AUR package is clearly wrong.
Comment by Daniel Nienhaus (nienhs) - Friday, 04 May 2018, 09:30 GMT
Thx, Eli! I think this can be closed then.
Comment by Christian Hesse (eworm) - Monday, 07 May 2018, 21:55 GMT
Not sure whether or not this is useful... I added it nevertheless. Does not hurt I guess.

Loading...